ZFS on OMV 5.6.0 crashing (unmet dependencies)

  • Hi everyone. I've been using ZFS on OMV for a while, and after a recent update, my file server is down.


    I tried reinstalling the ZFS plugin from the web-frontend, and it didn't do any good.

    Then I opened up the terminal and tried apt-get install openmediavault-zfs --reinstall, and this is what I figured out:


    The current version of package openmediavault-zfs depends on:

    libuutil1linux

    libzfs2linux

    libnvpair1linux

    libzpool2linux


    but the current versions of zfs-zed and zfsutils-linux packages demand that there be:

    libuutil2linux

    libzfs3linux

    libnvpair2linux

    libzpool3linux


    i am not a very strong unix user, so I can't figure out how to keep both the old and the new packages to satisfy dependencies.


    This seems to be a problem not on one, but on two machines - my Sony Vaio laptop and the other one is my friend's ASUS laptop which I've just installed OMV on last week.


    I've tried deleting everything and installing the

    libuutil1linux

    libzfs2linux

    libnvpair1linux

    libzpool2linux


    beforehand, but apt-get install openmediavault-zfs says that these packages will be removed and the

    libuutil2linux

    libzfs3linux

    libnvpair2linux

    libzpool3linux


    will be installed instead, and it results in unmet dependencies whatsoever.


    If it matters, I have all the standard repo switches turned on:

  • upd.


    I have found out that there have been the following packages installed too:

    libuutil3linux

    libzfs4linux

    libnvpair3linux

    libzpool4linux


    Which had to be removed.


    After reading this thread:

    RE: ZFS packages update issue (OMV 5.6.0.1)

    I turned off backports repo too;


    installed zfsutils-linux with no problem, and then installed openmediavault-zfs too, and everything is running smoothly now.


    Thank you!

  • macom

    Added the Label OMV 5.x
  • macom

    Added the Label resolved

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!